.section .text
.globl _start
_start:
	sll x0,x0,x0
	sll x0,x0,x1
	sll x0,x0,x2
	sll x0,x1,x0
	sll x0,x1,x1
	sll x0,x1,x2
	sll x0,x2,x0
	sll x0,x2,x1
	sll x0,x2,x2
	sll x1,x0,x0
	sll x1,x0,x1
	sll x1,x0,x2
	sll x1,x1,x0
	sll x1,x1,x1
	sll x1,x1,x2
	sll x1,x2,x0
	sll x1,x2,x1
	sll x1,x2,x2
	sll x2,x0,x0
	sll x2,x0,x1
	sll x2,x0,x2
	sll x2,x1,x0
	sll x2,x1,x1
	sll x2,x1,x2
	sll x2,x2,x0
	sll x2,x2,x1
	sll x2,x2,x2
	slli x0,x0,0x00
	slli x0,x0,0x1e
	slli x0,x1,0x00
	slli x0,x1,0x1e
	slli x0,x2,0x00
	slli x0,x2,0x1e
	slli x1,x0,0x00
	slli x1,x0,0x1e
	slli x1,x1,0x00
	slli x1,x1,0x1e
	slli x1,x2,0x00
	slli x1,x2,0x1e
	slli x2,x0,0x00
	slli x2,x0,0x1e
	slli x2,x1,0x00
	slli x2,x1,0x1e
	slli x2,x2,0x00
	slli x2,x2,0x1e
	srl x0,x0,x0
	srl x0,x0,x1
	srl x0,x0,x2
	srl x0,x1,x0
	srl x0,x1,x1
	srl x0,x1,x2
	srl x0,x2,x0
	srl x0,x2,x1
	srl x0,x2,x2
	srl x1,x0,x0
	srl x1,x0,x1
	srl x1,x0,x2
	srl x1,x1,x0
	srl x1,x1,x1
	srl x1,x1,x2
	srl x1,x2,x0
	srl x1,x2,x1
	srl x1,x2,x2
	srl x2,x0,x0
	srl x2,x0,x1
	srl x2,x0,x2
	srl x2,x1,x0
	srl x2,x1,x1
	srl x2,x1,x2
	srl x2,x2,x0
	srl x2,x2,x1
	srl x2,x2,x2
	srli x0,x0,0x00
	srli x0,x0,0x1e
	srli x0,x1,0x00
	srli x0,x1,0x1e
	srli x0,x2,0x00
	srli x0,x2,0x1e
	srli x1,x0,0x00
	srli x1,x0,0x1e
	srli x1,x1,0x00
	srli x1,x1,0x1e
	srli x1,x2,0x00
	srli x1,x2,0x1e
	srli x2,x0,0x00
	srli x2,x0,0x1e
	srli x2,x1,0x00
	srli x2,x1,0x1e
	srli x2,x2,0x00
	srli x2,x2,0x1e
	sra x0,x0,x0
	sra x0,x0,x1
	sra x0,x0,x2
	sra x0,x1,x0
	sra x0,x1,x1
	sra x0,x1,x2
	sra x0,x2,x0
	sra x0,x2,x1
	sra x0,x2,x2
	sra x1,x0,x0
	sra x1,x0,x1
	sra x1,x0,x2
	sra x1,x1,x0
	sra x1,x1,x1
	sra x1,x1,x2
	sra x1,x2,x0
	sra x1,x2,x1
	sra x1,x2,x2
	sra x2,x0,x0
	sra x2,x0,x1
	sra x2,x0,x2
	sra x2,x1,x0
	sra x2,x1,x1
	sra x2,x1,x2
	sra x2,x2,x0
	sra x2,x2,x1
	sra x2,x2,x2
	srai x0,x0,0x00
	srai x0,x0,0x1e
	srai x0,x1,0x00
	srai x0,x1,0x1e
	srai x0,x2,0x00
	srai x0,x2,0x1e
	srai x1,x0,0x00
	srai x1,x0,0x1e
	srai x1,x1,0x00
	srai x1,x1,0x1e
	srai x1,x2,0x00
	srai x1,x2,0x1e
	srai x2,x0,0x00
	srai x2,x0,0x1e
	srai x2,x1,0x00
	srai x2,x1,0x1e
	srai x2,x2,0x00
	srai x2,x2,0x1e
	add x0,x0,x0
	add x0,x0,x1
	add x0,x0,x2
	add x0,x1,x0
	add x0,x1,x1
	add x0,x1,x2
	add x0,x2,x0
	add x0,x2,x1
	add x0,x2,x2
	add x1,x0,x0
	add x1,x0,x1
	add x1,x0,x2
	add x1,x1,x0
	add x1,x1,x1
	add x1,x1,x2
	add x1,x2,x0
	add x1,x2,x1
	add x1,x2,x2
	add x2,x0,x0
	add x2,x0,x1
	add x2,x0,x2
	add x2,x1,x0
	add x2,x1,x1
	add x2,x1,x2
	add x2,x2,x0
	add x2,x2,x1
	add x2,x2,x2
	addi x0,x0,0x00
	addi x0,x0,0x1f
	addi x0,x0,0x3f
	addi x0,x1,0x00
	addi x0,x1,0x1f
	addi x0,x1,0x3f
	addi x0,x2,0x00
	addi x0,x2,0x1f
	addi x0,x2,0x3f
	addi x1,x0,0x00
	addi x1,x0,0x1f
	addi x1,x0,0x3f
	addi x1,x1,0x00
	addi x1,x1,0x1f
	addi x1,x1,0x3f
	addi x1,x2,0x00
	addi x1,x2,0x1f
	addi x1,x2,0x3f
	addi x2,x0,0x00
	addi x2,x0,0x1f
	addi x2,x0,0x3f
	addi x2,x1,0x00
	addi x2,x1,0x1f
	addi x2,x1,0x3f
	addi x2,x2,0x00
	addi x2,x2,0x1f
	addi x2,x2,0x3f
	sub x0,x0,x0
	sub x0,x0,x1
	sub x0,x0,x2
	sub x0,x1,x0
	sub x0,x1,x1
	sub x0,x1,x2
	sub x0,x2,x0
	sub x0,x2,x1
	sub x0,x2,x2
	sub x1,x0,x0
	sub x1,x0,x1
	sub x1,x0,x2
	sub x1,x1,x0
	sub x1,x1,x1
	sub x1,x1,x2
	sub x1,x2,x0
	sub x1,x2,x1
	sub x1,x2,x2
	sub x2,x0,x0
	sub x2,x0,x1
	sub x2,x0,x2
	sub x2,x1,x0
	sub x2,x1,x1
	sub x2,x1,x2
	sub x2,x2,x0
	sub x2,x2,x1
	sub x2,x2,x2
	lui x0,0x00
	lui x0,0x1f
	lui x0,0x3f
	lui x1,0x00
	lui x1,0x1f
	lui x1,0x3f
	lui x2,0x00
	lui x2,0x1f
	lui x2,0x3f
	auipc x0,0x00
	auipc x0,0x1f
	auipc x0,0x3f
	auipc x1,0x00
	auipc x1,0x1f
	auipc x1,0x3f
	auipc x2,0x00
	auipc x2,0x1f
	auipc x2,0x3f
	xor x0,x0,x0
	xor x0,x0,x1
	xor x0,x0,x2
	xor x0,x1,x0
	xor x0,x1,x1
	xor x0,x1,x2
	xor x0,x2,x0
	xor x0,x2,x1
	xor x0,x2,x2
	xor x1,x0,x0
	xor x1,x0,x1
	xor x1,x0,x2
	xor x1,x1,x0
	xor x1,x1,x1
	xor x1,x1,x2
	xor x1,x2,x0
	xor x1,x2,x1
	xor x1,x2,x2
	xor x2,x0,x0
	xor x2,x0,x1
	xor x2,x0,x2
	xor x2,x1,x0
	xor x2,x1,x1
	xor x2,x1,x2
	xor x2,x2,x0
	xor x2,x2,x1
	xor x2,x2,x2
	xori x0,x0,0x00
	xori x0,x0,0x1f
	xori x0,x0,0x3f
	xori x0,x1,0x00
	xori x0,x1,0x1f
	xori x0,x1,0x3f
	xori x0,x2,0x00
	xori x0,x2,0x1f
	xori x0,x2,0x3f
	xori x1,x0,0x00
	xori x1,x0,0x1f
	xori x1,x0,0x3f
	xori x1,x1,0x00
	xori x1,x1,0x1f
	xori x1,x1,0x3f
	xori x1,x2,0x00
	xori x1,x2,0x1f
	xori x1,x2,0x3f
	xori x2,x0,0x00
	xori x2,x0,0x1f
	xori x2,x0,0x3f
	xori x2,x1,0x00
	xori x2,x1,0x1f
	xori x2,x1,0x3f
	xori x2,x2,0x00
	xori x2,x2,0x1f
	xori x2,x2,0x3f
	or x0,x0,x0
	or x0,x0,x1
	or x0,x0,x2
	or x0,x1,x0
	or x0,x1,x1
	or x0,x1,x2
	or x0,x2,x0
	or x0,x2,x1
	or x0,x2,x2
	or x1,x0,x0
	or x1,x0,x1
	or x1,x0,x2
	or x1,x1,x0
	or x1,x1,x1
	or x1,x1,x2
	or x1,x2,x0
	or x1,x2,x1
	or x1,x2,x2
	or x2,x0,x0
	or x2,x0,x1
	or x2,x0,x2
	or x2,x1,x0
	or x2,x1,x1
	or x2,x1,x2
	or x2,x2,x0
	or x2,x2,x1
	or x2,x2,x2
	ori x0,x0,0x00
	ori x0,x0,0x1f
	ori x0,x0,0x3f
	ori x0,x1,0x00
	ori x0,x1,0x1f
	ori x0,x1,0x3f
	ori x0,x2,0x00
	ori x0,x2,0x1f
	ori x0,x2,0x3f
	ori x1,x0,0x00
	ori x1,x0,0x1f
	ori x1,x0,0x3f
	ori x1,x1,0x00
	ori x1,x1,0x1f
	ori x1,x1,0x3f
	ori x1,x2,0x00
	ori x1,x2,0x1f
	ori x1,x2,0x3f
	ori x2,x0,0x00
	ori x2,x0,0x1f
	ori x2,x0,0x3f
	ori x2,x1,0x00
	ori x2,x1,0x1f
	ori x2,x1,0x3f
	ori x2,x2,0x00
	ori x2,x2,0x1f
	ori x2,x2,0x3f
	and x0,x0,x0
	and x0,x0,x1
	and x0,x0,x2
	and x0,x1,x0
	and x0,x1,x1
	and x0,x1,x2
	and x0,x2,x0
	and x0,x2,x1
	and x0,x2,x2
	and x1,x0,x0
	and x1,x0,x1
	and x1,x0,x2
	and x1,x1,x0
	and x1,x1,x1
	and x1,x1,x2
	and x1,x2,x0
	and x1,x2,x1
	and x1,x2,x2
	and x2,x0,x0
	and x2,x0,x1
	and x2,x0,x2
	and x2,x1,x0
	and x2,x1,x1
	and x2,x1,x2
	and x2,x2,x0
	and x2,x2,x1
	and x2,x2,x2
	andi x0,x0,0x00
	andi x0,x0,0x1f
	andi x0,x0,0x3f
	andi x0,x1,0x00
	andi x0,x1,0x1f
	andi x0,x1,0x3f
	andi x0,x2,0x00
	andi x0,x2,0x1f
	andi x0,x2,0x3f
	andi x1,x0,0x00
	andi x1,x0,0x1f
	andi x1,x0,0x3f
	andi x1,x1,0x00
	andi x1,x1,0x1f
	andi x1,x1,0x3f
	andi x1,x2,0x00
	andi x1,x2,0x1f
	andi x1,x2,0x3f
	andi x2,x0,0x00
	andi x2,x0,0x1f
	andi x2,x0,0x3f
	andi x2,x1,0x00
	andi x2,x1,0x1f
	andi x2,x1,0x3f
	andi x2,x2,0x00
	andi x2,x2,0x1f
	andi x2,x2,0x3f
	slt x0,x0,x0
	slt x0,x0,x1
	slt x0,x0,x2
	slt x0,x1,x0
	slt x0,x1,x1
	slt x0,x1,x2
	slt x0,x2,x0
	slt x0,x2,x1
	slt x0,x2,x2
	slt x1,x0,x0
	slt x1,x0,x1
	slt x1,x0,x2
	slt x1,x1,x0
	slt x1,x1,x1
	slt x1,x1,x2
	slt x1,x2,x0
	slt x1,x2,x1
	slt x1,x2,x2
	slt x2,x0,x0
	slt x2,x0,x1
	slt x2,x0,x2
	slt x2,x1,x0
	slt x2,x1,x1
	slt x2,x1,x2
	slt x2,x2,x0
	slt x2,x2,x1
	slt x2,x2,x2
	slti x0,x0,0x00
	slti x0,x0,0x1f
	slti x0,x0,0x3f
	slti x0,x1,0x00
	slti x0,x1,0x1f
	slti x0,x1,0x3f
	slti x0,x2,0x00
	slti x0,x2,0x1f
	slti x0,x2,0x3f
	slti x1,x0,0x00
	slti x1,x0,0x1f
	slti x1,x0,0x3f
	slti x1,x1,0x00
	slti x1,x1,0x1f
	slti x1,x1,0x3f
	slti x1,x2,0x00
	slti x1,x2,0x1f
	slti x1,x2,0x3f
	slti x2,x0,0x00
	slti x2,x0,0x1f
	slti x2,x0,0x3f
	slti x2,x1,0x00
	slti x2,x1,0x1f
	slti x2,x1,0x3f
	slti x2,x2,0x00
	slti x2,x2,0x1f
	slti x2,x2,0x3f
	sltu x0,x0,x0
	sltu x0,x0,x1
	sltu x0,x0,x2
	sltu x0,x1,x0
	sltu x0,x1,x1
	sltu x0,x1,x2
	sltu x0,x2,x0
	sltu x0,x2,x1
	sltu x0,x2,x2
	sltu x1,x0,x0
	sltu x1,x0,x1
	sltu x1,x0,x2
	sltu x1,x1,x0
	sltu x1,x1,x1
	sltu x1,x1,x2
	sltu x1,x2,x0
	sltu x1,x2,x1
	sltu x1,x2,x2
	sltu x2,x0,x0
	sltu x2,x0,x1
	sltu x2,x0,x2
	sltu x2,x1,x0
	sltu x2,x1,x1
	sltu x2,x1,x2
	sltu x2,x2,x0
	sltu x2,x2,x1
	sltu x2,x2,x2
	sltiu x0,x0,0x00
	sltiu x0,x0,0x1f
	sltiu x0,x0,0x3f
	sltiu x0,x1,0x00
	sltiu x0,x1,0x1f
	sltiu x0,x1,0x3f
	sltiu x0,x2,0x00
	sltiu x0,x2,0x1f
	sltiu x0,x2,0x3f
	sltiu x1,x0,0x00
	sltiu x1,x0,0x1f
	sltiu x1,x0,0x3f
	sltiu x1,x1,0x00
	sltiu x1,x1,0x1f
	sltiu x1,x1,0x3f
	sltiu x1,x2,0x00
	sltiu x1,x2,0x1f
	sltiu x1,x2,0x3f
	sltiu x2,x0,0x00
	sltiu x2,x0,0x1f
	sltiu x2,x0,0x3f
	sltiu x2,x1,0x00
	sltiu x2,x1,0x1f
	sltiu x2,x1,0x3f
	sltiu x2,x2,0x00
	sltiu x2,x2,0x1f
	sltiu x2,x2,0x3f
	fence
	fence r,r
	fence r,w
	fence r,rw
	fence r,i
	fence r,o
	fence r,io
	fence r,ior
	fence r,iow
	fence r,iorw
	fence w,r
	fence w,w
	fence w,rw
	fence w,i
	fence w,o
	fence w,io
	fence w,ior
	fence w,iow
	fence w,iorw
	fence rw,r
	fence rw,w
	fence rw,rw
	fence rw,i
	fence rw,o
	fence rw,io
	fence rw,ior
	fence rw,iow
	fence rw,iorw
	fence i,r
	fence i,w
	fence i,rw
	fence i,i
	fence i,o
	fence i,io
	fence i,ior
	fence i,iow
	fence i,iorw
	fence o,r
	fence o,w
	fence o,rw
	fence o,i
	fence o,o
	fence o,io
	fence o,ior
	fence o,iow
	fence o,iorw
	fence io,r
	fence io,w
	fence io,rw
	fence io,i
	fence io,o
	fence io,io
	fence io,ior
	fence io,iow
	fence io,iorw
	fence ior,r
	fence ior,w
	fence ior,rw
	fence ior,i
	fence ior,o
	fence ior,io
	fence ior,ior
	fence ior,iow
	fence ior,iorw
	fence iow,r
	fence iow,w
	fence iow,rw
	fence iow,i
	fence iow,o
	fence iow,io
	fence iow,ior
	fence iow,iow
	fence iow,iorw
	fence iorw,r
	fence iorw,w
	fence iorw,rw
	fence iorw,i
	fence iorw,o
	fence iorw,io
	fence iorw,ior
	fence iorw,iow
	fence iorw,iorw
	fence.i
	ecall
	ebreak
